org.icefaces.ace.component.list

## Class ACEList

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIData
      - - javax.faces.component.html.HtmlDataTable
        - - org.icefaces.impl.component.UISeriesBase
          - - org.icefaces.ace.component.list.ListBase
            - - org.icefaces.ace.component.list.ACEList

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, IList, org.icefaces.impl.component.SeriesStateHolder

      public class ACEList
      extends ListBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.icefaces.ace.component.list.ListBase

      `ListBase.PropertyKeys`

    - ### Nested classes/interfaces inherited from class org.icefaces.impl.component.UISeriesBase

      `org.icefaces.impl.component.UISeriesBase.RowEvent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FilterState` | `savedFilterState`
    `protected SortState` | `savedSortState`

    - ### Fields inherited from class org.icefaces.ace.component.list.ListBase

      `COMPONENT_TYPE, RENDERER_TYPE`

    - ### Fields inherited from class org.icefaces.impl.component.UISeriesBase

      `dataModel, savedChildren, savedSeriesState`

    - ### Fields inherited from class javax.faces.component.UIData

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ACEList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyFilters()`
    `void` | `applySorting()`
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `protected javax.faces.model.DataModel` | `getDataModel()`
    `FilterConstraint` | `getFilterConstraint()`
    `java.util.List<org.icefaces.ace.component.list.ImmigrationRecord>` | `getImmigrants()`
    `boolean` | `getRendersChildren()`
    `java.util.Set<java.lang.Object>` | `getSelections()` Return the value of the `selections` property.
    `protected SortCriteria` | `getSortCriteria()`
    `java.lang.Object` | `getValue()`
    `java.lang.Boolean` | `isApplyingFilters()` Return the value of the `applyingFilters` property.
    `java.lang.Boolean` | `isControlsEnabled()` Return the value of the `controlsEnabled` property.
    `java.lang.Boolean` | `isDragging()` Return the value of the `dragging` property.
    `protected boolean` | `isFilterRequest(javax.faces.context.FacesContext x)`
    `boolean` | `isSelectItemModel()`
    `protected java.util.List` | `processFilters(javax.faces.context.FacesContext context)`
    `protected void` | `processSorting()`
    `void` | `processUpdates(javax.faces.context.FacesContext context)`
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`
    `protected void` | `setDataModel(javax.faces.model.DataModel newModel)`
    `void` | `setImmigrants(java.util.List<org.icefaces.ace.component.list.ImmigrationRecord> immigrants)`
    `void` | `setRowIndex(int i)`
    `void` | `setSelectItemModel(boolean isSelect)`

    - ### Methods inherited from class org.icefaces.ace.component.list.ListBase

      `addClientBehavior, getAccesskey, getBodyClass, getBodyStyle, getBottomButtonClass, getControlsContainerClass, getControlsFormat, getControlsItemClass, getControlsSpacerClass, getDefaultEventName, getDefaultExecute, getDefaultRender, getDownButtonClass, getDropGroup, getEventNames, getFamily, getFilterBy, getFilteredData, getFilterEvent, getFilterFacet, getFilterMatchMode, getFilterOptions, getFilterStyle, getFilterStyleClass, getFilterValue, getFilterValues, getFooterClass, getFooterFacet, getFooterStyle, getHeaderClass, getHeaderFacet, getHeaderStyle, getHeight, getItemClass, getItemStyle, getListenerArgument, getPlaceholderClass, getSelectionListener, getSelectionMode, getSortBy, getSortFunction, getStyle, getStyleClass, getTabIndex, getTopButtonClass, getUpButtonClass, getValueHashCode, isApplyingSorts, isCompact, isDoubleClickMigration, isPlaceholder, isPropertySet, isSortAscending, setAccesskey, setApplyingFilters, setApplyingSorts, setBodyClass, setBodyStyle, setBottomButtonClass, setCompact, setControlsContainerClass, setControlsEnabled, setControlsFormat, setControlsItemClass, setControlsSpacerClass, setDoubleClickMigration, setDownButtonClass, setDragging, setDropGroup, setFilterBy, setFilteredData, setFilterEvent, setFilterFacet, setFilterMatchMode, setFilterOptions, setFilterStyle, setFilterStyleClass, setFilterValue, setFilterValues, setFooterClass, setFooterFacet, setFooterStyle, setHeaderClass, setHeaderFacet, setHeaderStyle, setHeight, setItemClass, setItemStyle, setPlaceholder, setPlaceholderClass, setSelectionListener, setSelectionMode, setSelections, setSortAscending, setSortBy, setSortFunction, setStyle, setStyleClass, setTabIndex, setTopButtonClass, setUpButtonClass, setValueExpression, setValueHashCode`

    - ### Methods inherited from class org.icefaces.impl.component.UISeriesBase

      `encodeBegin, ensureFirstRowInRange, getClientId, getContainerClientId, getRowCount, getRowData, getRowIndex, getSavedChildren, getSavedSeriesState, getVar, getVarStatus, isRowAvailable, iterate, processDecodes, processValidators, restoreChild, restoreChildrenState, restoreChildState, restoreSeriesState, restoreState, saveChild, saveChildrenState, saveChildState, saveSeriesState, saveState, setId, setValue, setValueBinding, setVar, setVarStatus, synchWithPaginator, visitTree, wrapDataModel`

    - ### Methods inherited from class javax.faces.component.html.HtmlDataTable

      `getBgcolor, getBodyrows, getBorder, getCaptionClass, getCaptionStyle, getCellpadding, getCellspacing, getColumnClasses, getDir, getFrame, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getRowClasses, getRules, getSummary, getTitle, getWidth, setBgcolor, setBodyrows, setBorder, setCaptionClass, setCaptionStyle, setCellpadding, setCellspacing, setColumnClasses, setDir, setFrame, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setRowClasses, setRules, setSummary, setTitle, setWidth`

    - ### Methods inherited from class javax.faces.component.UIData

      `createUniqueId, getFirst, getFooter, getHeader, getRows, invokeOnComponent, isRowStatePreserved, markInitialState, setFirst, setFooter, setHeader, setRows, setRowStatePreserved`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, clearInitialState, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

- - ### Field Detail

    - #### savedFilterState

          protected transient FilterState savedFilterState

    - #### savedSortState

          protected transient SortState savedSortState

  - ### Constructor Detail

    - #### ACEList

          public ACEList()

  - ### Method Detail

    - #### getDataModel

          protected javax.faces.model.DataModel getDataModel()

      Overrides:
        `getDataModel` in class `org.icefaces.impl.component.UISeriesBase`

    - #### getValue

          public java.lang.Object getValue()

      Overrides:
        `getValue` in class `javax.faces.component.UIData`

    - #### setRowIndex

          public void setRowIndex(int i)

      Overrides:
        `setRowIndex` in class `org.icefaces.impl.component.UISeriesBase`

    - #### setDataModel

          protected void setDataModel(javax.faces.model.DataModel newModel)

      Overrides:
        `setDataModel` in class `org.icefaces.impl.component.UISeriesBase`

    - #### isDragging

          public java.lang.Boolean isDragging()

      Description copied from class: `ListBase`

      Return the value of the `dragging` property.

      Contents: Enable the dragging of list items in this list. Note this attribute has no effect when an f:selectItem(s) model is used. Default = 'true'.

      Specified by:
        `isDragging` in interface `IList`
      Overrides:
        `isDragging` in class `ListBase`

    - #### isControlsEnabled

          public java.lang.Boolean isControlsEnabled()

      Description copied from class: `ListBase`

      Return the value of the `controlsEnabled` property.

      Contents: Enable a set of buttons to control reordering of items within this list.Requires selection of determine items to adjust via buttons. Default = 'false'.

      Specified by:
        `isControlsEnabled` in interface `IList`
      Overrides:
        `isControlsEnabled` in class `ListBase`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.component.UIComponentBase`

    - #### getSelections

          public java.util.Set<java.lang.Object> getSelections()

      Description copied from class: `ListBase`

      Return the value of the `selections` property.

      Contents: Defines the set of Objects from the source List that are selected. Note that when f:selectItem(s) children are used as the model to this ace:list that selections are instead added to the Collection bound to the value attribute, to more closely emulate the h:selectManyListbox component.

      Specified by:
        `getSelections` in interface `IList`
      Overrides:
        `getSelections` in class `ListBase`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `org.icefaces.impl.component.UISeriesBase`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `org.icefaces.impl.component.UISeriesBase`

    - #### getImmigrants

          public java.util.List<org.icefaces.ace.component.list.ImmigrationRecord> getImmigrants()

    - #### setImmigrants

          public void setImmigrants(java.util.List<org.icefaces.ace.component.list.ImmigrationRecord> immigrants)

    - #### isSelectItemModel

          public boolean isSelectItemModel()

    - #### setSelectItemModel

          public void setSelectItemModel(boolean isSelect)

    - #### applyFilters

          public void applyFilters()

    - #### isApplyingFilters

          public java.lang.Boolean isApplyingFilters()

      Description copied from class: `ListBase`

      Return the value of the `applyingFilters` property.

      Specified by:
        `isApplyingFilters` in interface `IList`
      Overrides:
        `isApplyingFilters` in class `ListBase`

    - #### processUpdates

          public void processUpdates(javax.faces.context.FacesContext context)

      Overrides:
        `processUpdates` in class `org.icefaces.impl.component.UISeriesBase`

    - #### processFilters

          protected java.util.List processFilters(javax.faces.context.FacesContext context)

    - #### getFilterConstraint

          public FilterConstraint getFilterConstraint()

    - #### isFilterRequest

          protected boolean isFilterRequest(javax.faces.context.FacesContext x)

    - #### applySorting

          public void applySorting()

    - #### processSorting

          protected void processSorting()

    - #### getSortCriteria

          protected SortCriteria getSortCriteria()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.